//
//  CustomView.m
//  aaaaa
//
//  Created by book on 16/9/1.
//  Copyright © 2016年 book. All rights reserved.
//

#import "CustomView.h"

@implementation CustomView


-(void)drawRect:(CGRect)rect
{
//    drawTriangle();
    
//    drawRound();
    
//    drawRectangle();
    
//    drawPie();
    
//    drawArc();
    drawText();
    
}

#pragma mark -画文字
void drawText()
{
    CGContextRef ctx = UIGraphicsGetCurrentContext();
    
    CGRect cubeRect = CGRectMake(50, 50, 100, 100);
    
    CGContextAddRect(ctx, cubeRect);
    
    CGContextFillPath(ctx);
    
    NSString *str = @"哈哈哈 good morning hello hi hi hi";
    
    NSMutableDictionary *attrs = [NSMutableDictionary dictionary];
    
    attrs[NSForegroundColorAttributeName] = [UIColor redColor];
    attrs[NSFontAttributeName] = [UIFont systemFontOfSize:50];
    [str drawInRect:cubeRect withAttributes:attrs];
}

#pragma mark - 绘制圆弧
void drawArc()
{
    CGContextRef ctx = UIGraphicsGetCurrentContext();
    
    CGContextAddArc(ctx, 100, 100, 50, M_PI_2, M_PI, 0);
    
    CGContextFillPath(ctx);
    
}

#pragma mark - 绘制饼形
void drawPie(){

    CGContextRef ctx = UIGraphicsGetCurrentContext();
    
    CGContextMoveToPoint(ctx, 100, 100);
    
    CGContextAddLineToPoint(ctx, 100, 150);
    
    CGContextAddArc(ctx, 100, 100, 50, M_PI_2, M_PI, 0);
    
    CGContextSetRGBStrokeColor(ctx, 0, 1, 0, 1);
    
    CGContextClosePath(ctx);
    
    CGContextFillPath(ctx);
}

#pragma mark - 绘制矩形
void drawRectangle()
{
    CGContextRef ctx = UIGraphicsGetCurrentContext();
    
    CGContextAddRect(ctx, CGRectMake(10, 10, 150, 100));
    
    [[UIColor colorWithRed:1.0 green:0 blue:0 alpha:1.0] set];
    
    CGContextStrokePath(ctx);
}

#pragma mark -绘制三角形
/**
 绘制三角形
 */
void drawTriangle()
{
    CGContextRef ctx = UIGraphicsGetCurrentContext();
    
    CGContextMoveToPoint(ctx, 100, 10);
    
    CGContextAddLineToPoint(ctx, 50, 100);
    
    CGContextAddLineToPoint(ctx, 150, 100);

    CGContextClosePath(ctx);
    
    CGContextSetRGBStrokeColor(ctx, 0, 1, 0, 1);
    
    CGContextStrokePath(ctx);
}

#pragma mark -绘制圆形
/**
 绘制圆形
 */
void drawRound()
{
    CGContextRef ctx = UIGraphicsGetCurrentContext();
    
    CGContextAddEllipseInRect(ctx, CGRectMake(50, 100, 50, 50));
    
    [[UIColor greenColor]set];
    
    CGContextFillPath(ctx);

}


#pragma mark -绘制线
void drawLine(){

    //取得图形上下文
    CGContextRef ctx = UIGraphicsGetCurrentContext();
    
    //绘制直线，保存绘图信息
    //设置起点
    CGContextMoveToPoint(ctx, 10, 100);
    
    //设置终点
    CGContextAddLineToPoint(ctx, 100, 100);
    
    //设置绘图状态
    //设置线条颜色 红色
    CGContextSetRGBStrokeColor(ctx, 1.0, 0, 0, 1.0);
    
    //设置线条宽度
    CGContextSetLineWidth(ctx, 10);
    
    //设置线条的起点和终点的样式
    CGContextSetLineCap(ctx, kCGLineCapRound);
    
    //设置线条的转角的样式
    CGContextSetLineJoin(ctx, kCGLineJoinRound);
    
    //绘制一条空心的线
    CGContextStrokePath(ctx);
    
    /*------------------------------------*/
    
    //重新设置第二条线的起点
    CGContextMoveToPoint(ctx, 150, 200);
    
    //设置第二条直线的起点(自动把上一条直线的终点当做起点)
    CGContextAddLineToPoint(ctx, 100, 50);
    
    //设置第二条线的颜色 绿色
    CGContextSetRGBStrokeColor(ctx, 0, 1.0, 0, 1.0);
    
    //绘制图形(渲染图形到view上)
    //绘制一条空心的线
    CGContextStrokePath(ctx);
}

@end
