//
//  HuangmanView.m
//  aaaaa
//
//  Created by book on 16/9/1.
//  Copyright © 2016年 book. All rights reserved.
//

#import "HuangmanView.h"

#define  radius 40
#define color(r,g,b)[UIColor colorWithRed:(r)/255.0 green:(g)/255.0 blue:(b)/255.0 alpha:1.0]

@implementation HuangmanView


-(void)drawRect:(CGRect)rect
{
    
    //起始范围x坐标
    CGFloat headX = 60;
    //起始范围y坐标
    CGFloat headY = 100;
    //范围的宽度
    CGFloat headW = 200;
    //范围的长度
    CGFloat headH = 200;
    
    //获取上下文
    CGContextRef head = UIGraphicsGetCurrentContext();
    //画圆
    CGContextAddEllipseInRect(head, CGRectMake(headX, headY, headW, headH));
    //设置颜色
    [color(252, 183, 196)set];
    
    CGContextFillPath(head);
    
    //左眼外框
    CGFloat eyeSideLeftX = 95;
    CGFloat eyeSideLeftY = 170;
    CGFloat eyeSideLeftH = radius;
    CGFloat eyeSideLeftW = radius;
    
    CGContextRef eyeSideLeft = UIGraphicsGetCurrentContext();
    CGContextAddEllipseInRect(eyeSideLeft, CGRectMake(eyeSideLeftX, eyeSideLeftY, eyeSideLeftW, eyeSideLeftH));
    [[UIColor whiteColor] set];
    CGContextFillPath(eyeSideLeft);
    
    //左眼内框
    CGFloat eyeInsideLeftX = 100;
    CGFloat eyeInsideLeftY = 182;
    CGFloat eyeInsideLeftW = radius *0.6;
    CGFloat eyeInsideLeftH = radius *0.6;
    //获取上下文
    CGContextRef eyeInsideLeft = UIGraphicsGetCurrentContext();
    //画圆
    CGContextAddEllipseInRect(eyeInsideLeft, CGRectMake(eyeInsideLeftX, eyeInsideLeftY, eyeInsideLeftW, eyeInsideLeftH));
    //设置颜色
    [color(74, 25, 4)set];
    //渲染
    CGContextFillPath(eyeInsideLeft);
    
    //右眼外框
    CGFloat eyeSideRightX = 195;
    CGFloat eyeSideRightY = 170;
    CGFloat eyeSideRightW = radius;
    CGFloat eyeSideRightH = radius;
    
    CGContextRef eyeSideRight = UIGraphicsGetCurrentContext();
    CGContextAddEllipseInRect(eyeSideRight, CGRectMake(eyeSideRightX, eyeSideRightY, eyeSideRightW, eyeSideRightH));
    [[UIColor whiteColor]set];
    CGContextFillPath(eyeSideRight);
    
    //右眼内框
    CGFloat eyeInsideRightX = 200;
    CGFloat eyeInsideRightY = 182;
    CGFloat eyeInsideRightW = radius *0.6;
    CGFloat eyeInsideRightH = radius *0.6;
    
    CGContextRef eyeInsideRight = UIGraphicsGetCurrentContext();
    CGContextAddEllipseInRect(eyeInsideRight, CGRectMake(eyeInsideRightX, eyeInsideRightY, eyeInsideRightW, eyeInsideRightH));
    [color(74, 25, 4)set];
    CGContextFillPath(eyeInsideRight);
    
    //鼻子外框-上半圆
    CGFloat noseX = 125;
    CGFloat noseY = 210;
    CGFloat noseW = 70;
    CGFloat noseH = 50;
    CGContextRef nose = UIGraphicsGetCurrentContext();
    CGContextAddEllipseInRect(nose, CGRectMake(noseX, noseY, noseW, noseH));
    [color(163, 61, 11)set];
    CGContextSetLineWidth(nose, 2);
    CGContextStrokePath(nose);
    
    //鼻子-左半圆
    CGFloat noseLeftX = 135;
    CGFloat noseLeftY = 220;
    CGFloat noseLeftW = 20;
    CGFloat noseLeftH = 30;
    CGContextRef noseLeft = UIGraphicsGetCurrentContext();
    CGContextAddEllipseInRect(noseLeft, CGRectMake(noseLeftX, noseLeftY, noseLeftW, noseLeftH));
    [color(163, 61, 11)set];
    CGContextFillPath(noseLeft);
    
    //鼻子-右半圆
    CGFloat noseRightX = 165;
    CGFloat noseRightY = 220;
    CGFloat noseRightW = 20;
    CGFloat noseRightH = 30;
    CGContextRef noseRight = UIGraphicsGetCurrentContext();
    CGContextAddEllipseInRect(noseRight, CGRectMake(noseRightX, noseRightY, noseRightW, noseRightH));
    [color(163, 61, 11)set];
    CGContextFillPath(noseRight);
    
    //左耳
    CGContextRef earsLeft = UIGraphicsGetCurrentContext();
    //画线
    CGContextMoveToPoint(earsLeft, 90, 130);
    //画线
    CGContextAddLineToPoint(earsLeft, 50, 140);
    //画线
    CGContextAddLineToPoint(earsLeft, 70, 160);
    CGContextSetLineCap(earsLeft, kCGLineCapRound);
    CGContextSetLineJoin(earsLeft, kCGLineJoinRound);
    [color(252, 183, 196)set];
    CGContextFillPath(earsLeft);
    
    //右耳
    CGContextRef earsRight = UIGraphicsGetCurrentContext();
    //画线
    CGContextMoveToPoint(earsRight, 230, 130);
    //画线
    CGContextAddLineToPoint(earsRight, 270, 140);
    //画线
    CGContextAddLineToPoint(earsRight, 250, 160);
    CGContextSetLineCap(earsRight, kCGLineCapRound);
    CGContextSetLineJoin(earsRight, kCGLineJoinRound);
    [color(252, 183, 196)set];
    CGContextFillPath(earsRight);
    
    
}


@end
